メインコンテンツへスキップ
POST
/
communication-preferences
/
v4
/
statuses
/
batch
/
write
配信登録ステータスをバッチで更新
curl --request POST \
  --url https://api.hubapi.com/communication-preferences/v4/statuses/batch/write \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "inputs": [
    {
      "channel": "EMAIL",
      "statusState": "NOT_SPECIFIED",
      "subscriberIdString": "<string>",
      "subscriptionId": 123,
      "legalBasis": "CONSENT_WITH_NOTICE",
      "legalBasisExplanation": "<string>"
    }
  ]
}
'
{
  "completedAt": "2023-11-07T05:31:56Z",
  "results": [
    {
      "channel": "EMAIL",
      "source": "<string>",
      "status": "NOT_SPECIFIED",
      "subscriberIdString": "<string>",
      "subscriptionId": 123,
      "timestamp": "2023-11-07T05:31:56Z",
      "businessUnitId": 123,
      "legalBasis": "CONSENT_WITH_NOTICE",
      "legalBasisExplanation": "<string>",
      "setStatusSuccessReason": "NO_STATUS_CHANGE",
      "subscriptionName": "<string>"
    }
  ],
  "startedAt": "2023-11-07T05:31:56Z",
  "status": "CANCELED",
  "errors": [
    {
      "category": "<string>",
      "context": {},
      "errors": [
        {
          "message": "<string>",
          "code": "<string>",
          "context": "{missingScopes=[scope1, scope2]}",
          "in": "<string>",
          "subCategory": "<string>"
        }
      ],
      "links": {},
      "message": "<string>",
      "status": "<string>",
      "id": "<string>",
      "subCategory": {}
    }
  ],
  "links": {},
  "numErrors": 123,
  "requestedAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

ボディ

application/json
inputs
object[]
必須

PublicStatusRequestオブジェクトの配列。各オブジェクトは、特定の登録読者の配信登録ステータスの詳細を表します。このプロパティーは必須です。

レスポンス

successful operation

completedAt
string<date-time>
必須

バッチ処理が完了した日時。

results
object[]
必須

バッチ処理の結果が格納される配列。

startedAt
string<date-time>
必須

バッチ処理が開始された日時。

status
enum<string>
必須

バッチ処理の現在のステータス(PENDING、PROCESSING、CANCELED、COMPLETEを取り得る)。

利用可能なオプション:
CANCELED,
COMPLETE,
PENDING,
PROCESSING
errors
object[]

発生した問題について詳述するエラーオブジェクトの配列。

関連するリソースやドキュメントにリンクしているURL。

numErrors
integer<int32>

バッチ処理中に発生したエラーの数。

requestedAt
string<date-time>

リクエストが行われた日時。

Last modified on April 13, 2026